aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libwmf/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-03-09 13:13:43 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-03-09 13:13:43 +0000
commite9c57d7b360dd788e4ba6f2e9b7771307c41ed5e (patch)
treebf6eb1415676774efc590880a787a83601d327f1 /testing/libwmf/APKBUILD
parenta545b8247822fa8d51168f5e3869e8a898f01933 (diff)
downloadaports-e9c57d7b360dd788e4ba6f2e9b7771307c41ed5e.tar.gz
aports-e9c57d7b360dd788e4ba6f2e9b7771307c41ed5e.tar.bz2
aports-e9c57d7b360dd788e4ba6f2e9b7771307c41ed5e.tar.xz
testing/libwmf: new aport
A library for reading vector images in Microsoft's native Windows Metafile Format (WMF). http://wvware.sourceforge.net/libwmf.html
Diffstat (limited to 'testing/libwmf/APKBUILD')
-rw-r--r--testing/libwmf/APKBUILD35
1 files changed, 35 insertions, 0 deletions
diff --git a/testing/libwmf/APKBUILD b/testing/libwmf/APKBUILD
new file mode 100644
index 0000000000..e370ceee93
--- /dev/null
+++ b/testing/libwmf/APKBUILD
@@ -0,0 +1,35 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libwmf
+pkgver=0.2.8.4
+pkgrel=6
+pkgdesc="A library for reading vector images in Microsoft's native Windows Metafile Format (WMF)."
+url="http://wvware.sourceforge.net/libwmf.html"
+license="LGPL"
+makedepends="libpng-dev>=1.4.0 libx11-dev freetype-dev jpeg-dev>=8 expat-dev"
+install=
+subpackages="$pkgname-dev"
+source="http://downloads.sourceforge.net/sourceforge/wvware/$pkgname-$pkgver.tar.gz
+ libpng14.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ patch -Np1 -i ""$srcdir"/libpng14.patch" || return 1
+ sed -i -e 's/src include fonts doc/src include fonts/g' Makefile.in
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --with-gsfontdir=/usr/share/fonts/Type1 \
+ --with-fontdir=/usr/share/fonts/Type1 \
+ --with-gsfontmap=/usr/share/ghostscript/8.15/lib/Fontmap.GS
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 DESTDIR="$pkgdir" install
+}
+md5sums="d1177739bf1ceb07f57421f0cee191e0 libwmf-0.2.8.4.tar.gz
+33d3c07a1be9f99fd88de220930c5550 libpng14.patch"